List inventory requests Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pattern.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Hub API MCP server": {
    "url": "https://developer.pattern.com/mcp"
  }
}

Close
GET /v1/inventory_requests

Query parameters

  • page integer

    Page number

  • per_page integer

    Results per page

Responses

  • 200 application/json

    Returns no results, rather than every vendor's IRs

    Hide response attributes Show response attributes object
    • shipment_id string

      The IR number

    • status string
    • items_received integer
    • items_total integer
    • estimated_ship_date string(date) | null
    • shipment_method string | null
    • warehouse string
    • created string(date-time)
    • packslip_decision_date string(date-time) | null
    • created_by string | null
    • brand string
    • appointment_scheduled boolean
    • fba_shipments array[object]

      Array of FBA shipments for this inventory request with item, quantity and shipment details

      Hide fba_shipments attributes Show fba_shipments attributes object
      • item_id integer | null

        Item ID

      • quantity integer

        Quantity shipped to this FBA shipment

      • destination_shipment_id string

        FBA Shipment ID

      • destination_fulfillment_center_id string

        Destination FBA fulfillment center ID

  • 401

    Unauthorized - missing org_id

GET /v1/inventory_requests
curl \
 --request GET 'https://api.pattern.com/hub/v1/inventory_requests' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "shipment_id": "string",
    "status": "string",
    "items_received": 42,
    "items_total": 42,
    "estimated_ship_date": "2026-05-04",
    "shipment_method": "string",
    "warehouse": "string",
    "created": "2026-05-04T09:42:00Z",
    "packslip_decision_date": "2026-05-04T09:42:00Z",
    "created_by": "string",
    "brand": "string",
    "appointment_scheduled": true,
    "fba_shipments": [
      {
        "item_id": 42,
        "quantity": 42,
        "destination_shipment_id": "string",
        "destination_fulfillment_center_id": "string"
      }
    ]
  }
]